LFR-FSW - Bug #813

Analyse Logiscope LFR_3.1.0.4 : metric Cyclomatic number
19/10/2016 03:36 PM - William Recart

Status: Closed Start date: 19/10/2016
Priority: Low Due date:

Assignee: William Recart % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

La métrique Cyclomatic number doit etre inférieure a 20.

Le métrique est non respectée dans 1.19% des cas :
start_all_tasks (void) => 34

actn_task (rtems_task_argument) => 21
tc_check_length (unsignedchar, unsignedint) => 33

History

#1 - 19/10/2016 03:36 PM - William Recart
- % Done changed from 0 to 100

Le taux de déviation est inférieur a 5%.
La métrique est donc considérée comme respectée, conformément au taux de déviation autorisé dans le modéle qualité
RPW-SYS-MEB-MGT-QAD-000405-LES V1.3

#2 - 09/01/2017 08:07 AM - paul leroy
- Status changed from New to Resolved

- Priority changed from Normal to Low

Lu et approuvé.

#3 - 13/01/2017 05:04 PM - William Recart

Vérification effectuée sur le tag 322 (c0603702¢8c8) :
Le métrique est non respectée dans 1.17% des cas :
actn_task (rtems_task_argument) => 21
tc_check_length (unsignedchar, unsignedint) => 33
start_all_tasks (void) => 34

Le taux de déviation est inférieur & 5%.
La métrique est donc considérée comme respectée, conformément au taux de déviation autorisé dans le modéle qualité
RPW-SYS-MEB-MGT-QAD-000405-LES V1.3

#4 - 21/03/2017 04:04 PM - bruno katra

- Assignee changed from paul leroy to William Recart

#5 - 26/04/2017 03:23 PM - William Recart

- Status changed from Resolved to Closed

Satus on FSW Vv3.2.0.15 : closed

It represents1.12% of functions out of scope :

- start_all_tasks (void) 36

- actn_task (rtems_task_argument) 21

- tc_check_length (unsignedchar, unsignedint) 33

It is acceptable in regards to RPW-SYS-MEB-MGT-QAD-000405-LES V1.3 which authorized 5% deviation for each metrics without formal justification

20/03/2024 1/1



http://www.tcpdf.org

